- [HTTP request](https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1alpha/accessPolicies.accessLevels/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1alpha/accessPolicies.accessLevels/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1alpha/accessPolicies.accessLevels/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1alpha/accessPolicies.accessLevels/list.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1alpha/accessPolicies.accessLevels/list.md.txt#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1alpha/accessPolicies.accessLevels/list.md.txt#body.ListAccessLevelsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1alpha/accessPolicies.accessLevels/list.md.txt#body.aspect)
- [Try it!](https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1alpha/accessPolicies.accessLevels/list.md.txt#try-it)

Lists all `access levels` for an access policy.

### HTTP request

`GET https://accesscontextmanager.googleapis.com/v1alpha/{parent=accessPolicies/*}/accessLevels`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name for the access policy to list `Access Levels` from. Format: `accessPolicies/{policyId}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Number of `Access Levels` to include in the list. Default 100. |
| `pageToken` | `string` Next page token for the next batch of `Access Level` instances. Defaults to the first page of results. |

### Request body

The request body must be empty.

### Response body

A response to `ListAccessLevelsRequest`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "accessLevels": [ { object (`AccessLevel`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `accessLevels[]` | ``object (`AccessLevel`)`` List of the `Access Level` instances. |
| `nextPageToken` | `string` The pagination token to retrieve the next page of results. If the value is empty, no further results remain. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).